<div class="container">
    <ng-container *ngIf="pageViewStatus; then Document; else Empty"></ng-container>
    <ng-template #Document>
        <mat-card>
            <mat-card-header *ngIf="document" class="mat-title center-text"
                             (click)="showDoc = !showDoc">
                {{document.title}}
            </mat-card-header>

            <div id="document-form-wripper" *ngIf="!showDoc">
                <app-document-edit-form (formFieldsValue)="onGetFormData($event)" [fieldData]="formString"></app-document-edit-form>
            </div>
            <div id="document-wripper" *ngIf="showDoc">
                <div class="buttons-tooldar">
                    <button mat-raised-button color="primary">Купувати документ - {{document.price}} грн.</button>
                    <span class="spacer"></span>
                    <button mat-button color="warn" (click)="onEditDoc()">Редагувати</button>
                </div>
                <mat-divider></mat-divider>
                <div id="document" [innerHTML]="docText"></div>
            </div>
        </mat-card>
    </ng-template>
    <ng-template #Empty>
        <div class="spiner-wrapper" a align="center">
            <mat-spinner></mat-spinner>
        </div>
    </ng-template>

</div>
